IMakMakeReference (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.model.bldinf.IMakMakeReference interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.model.bldinf
Interface IMakMakeReference

All Known Subinterfaces:
  IMakefileReference, IMMPReference

    public interface IMakMakeReference

IMakMakeReference is the base interface for a build file in prj_mmpfiles or prj_testmmpfiles.

It provides convenience APIs for the commonly used keywords, which really work on the generic attribute list.

As mentioned in the Shiner_Build_APIs_Overview, the model doesn’t validate anything. The various attributes here may not apply for a given reference (depending on the presence in prj_mmpfiles vs. prj_testmmpfiles, or based on SDK version, like build_as_arm), but it’s up to the client to manage the list properly.

Method Summary
`IMakMakeReference` | `copy()`
`java.util.List<java.lang.String>` | `getAttributes()` Access/modify; with case-insensitive membership tests
`IPath` | `getPath()` Get project relative path, never null
`boolean` | `isBuildAsArm()` Check for BUILD_AS_ARM attribute
`boolean` | `isManual()` Check for MANUAL attribute
`boolean` | `isSupport()` Check for SUPPORT attribute
`boolean` | `isTidy()` Check for TIDY attribute
`boolean` | `isValid()` Tell if valid, e.g. initialized
`void` | `setAttributes(java.util.List<java.lang.String> attributes)` Set attributes
`void` | `setBuildAsArm(boolean build_as_arm)` Add/remove BUILD_AS_ARM attribute
`void` | `setManual(boolean manual)` Add/remove MANUAL attribute
`void` | `setPath(IPath path)` Set project-relative path, never null
`void` | `setSupport(boolean support)` Add/remove SUPPORT attribute
`void` | `setTidy(boolean tidy)` Add/remove TIDY attribute

Method Detail

### isValid

    boolean isValid()

  Tell if valid, e.g. initialized

### getPath

    IPath getPath()

  Get project relative path, never null

### setPath

    void setPath(IPath path)

  Set project-relative path, never null

### getAttributes

    java.util.List<java.lang.String> getAttributes()

  Access/modify; with case-insensitive membership tests

### setAttributes

    void setAttributes(java.util.List<java.lang.String> attributes)

  Set attributes

### isTidy

    boolean isTidy()

  Check for TIDY attribute

  Returns:

### setTidy

    void setTidy(boolean tidy)

  Add/remove TIDY attribute

  Parameters:
    `tidy` -

### isManual

    boolean isManual()

  Check for MANUAL attribute

  Returns:

### setManual

    void setManual(boolean manual)

  Add/remove MANUAL attribute

  Parameters:
    `manual` -

### isSupport

    boolean isSupport()

  Check for SUPPORT attribute

  Returns:

### setSupport

    void setSupport(boolean support)

  Add/remove SUPPORT attribute

  Parameters:
    `support` -

### isBuildAsArm

    boolean isBuildAsArm()

  Check for BUILD_AS_ARM attribute

  Returns:

### setBuildAsArm

    void setBuildAsArm(boolean build_as_arm)

  Add/remove BUILD_AS_ARM attribute

  Parameters:
    `build_as_arm` -

### copy

    IMakMakeReference copy()

  Returns:
    a copy of the data

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD